> ## Documentation Index
> Fetch the complete documentation index at: https://docs.swarmd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Seal the hash chain now and return the checkpoint (retirement evidence, Art

> Seal the hash chain now and return the checkpoint (retirement evidence, Art. 12/19)

**Security Requirements**

| Auth Types | Entities | Permissions | Required Roles |
|------------|----------|-------------|----------------|
| SERVICE, USER | AUDIT | WRITE | AUDIT:WRITE |



## OpenAPI

````yaml /openapi/swarmd.json post /audit/v1/integrity/checkpoints
openapi: 3.1.0
info:
  title: Relay
  version: v0
servers:
  - url: https://api.dev.swarmd.ai
    description: Development
security: []
tags:
  - name: Policy Groups
    x-displayName: Policy Groups
  - name: Policy Bindings
    x-displayName: Policy Bindings
  - name: Evaluation Packs
    x-displayName: Evaluation Packs
  - name: Webhooks
    x-displayName: Webhooks
  - name: MCP JSON-RPC
    x-displayName: MCP JSON-RPC
  - name: Conversations
    x-displayName: Conversations
  - name: Human JSON-RPC
    x-displayName: Human JSON-RPC
  - name: Channel JSON-RPC
    x-displayName: Channel JSON-RPC
  - name: HITL Approvals
    x-displayName: HITL Approvals
  - name: Agent JSON-RPC
    x-displayName: Agent JSON-RPC
  - name: Tasks
    x-displayName: Tasks
  - name: Push Notifications
    x-displayName: Push Notifications
  - name: Messaging
    x-displayName: Messaging
  - name: LLM Runtime
    x-displayName: LLM Runtime
  - name: Agent Discovery
    x-displayName: Agent Discovery
  - name: Governance
    x-displayName: Governance
  - name: MCP Servers
    x-displayName: MCP Servers
  - name: LLM Gateways
    x-displayName: LLM Gateways
  - name: Agents
    x-displayName: Agents
  - name: User Subscriptions
    x-displayName: User Subscriptions
  - name: LLM Providers
    x-displayName: LLM Providers
  - name: LLM Gateway Subscriptions
    x-displayName: LLM Gateway Subscriptions
  - name: Kill Switches
    x-displayName: Kill Switches
  - name: Channels
    x-displayName: Channels
  - name: Channel Subscriptions
    x-displayName: Channel Subscriptions
  - name: Agent Subscriptions
    x-displayName: Agent Subscriptions
  - name: Marketplace
    x-displayName: Marketplace
  - name: Identity Providers
    x-displayName: Identity Providers
  - name: Groups
    x-displayName: Groups
  - name: Authentication
    x-displayName: Authentication
  - name: Users
    x-displayName: Users
  - name: Tenants
    x-displayName: Tenants
  - name: Audit Retention
    x-displayName: Audit Retention
  - name: Audit Monitors
    x-displayName: Audit Monitors
  - name: Audit Integrity
    x-displayName: Audit Integrity
  - name: Audit Events
    x-displayName: Audit Events
  - name: Audit Traces
    x-displayName: Audit Traces
  - name: Audit Dashboard
    x-displayName: Audit Dashboard
  - name: A2A Payments
    x-displayName: A2A Payments
  - name: Licence Verification
    x-displayName: Licence Verification
  - name: ECR Credentials
    x-displayName: ECR Credentials
paths:
  /audit/v1/integrity/checkpoints:
    post:
      tags:
        - Audit Integrity
      summary: >-
        Seal the hash chain now and return the checkpoint (retirement evidence,
        Art
      description: >-
        Seal the hash chain now and return the checkpoint (retirement evidence,
        Art. 12/19)


        **Security Requirements**


        | Auth Types | Entities | Permissions | Required Roles |

        |------------|----------|-------------|----------------|

        | SERVICE, USER | AUDIT | WRITE | AUDIT:WRITE |
      operationId: createCheckpoint
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Audit_CreateCheckpointRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/Audit_IntegrityCheckpointResponse'
      security:
        - Audit_bearerAuth: []
components:
  schemas:
    Audit_CreateCheckpointRequest:
      type: object
      properties:
        tenantId:
          type: string
          format: uuid
        subjectId:
          type: string
          format: uuid
        reason:
          type: string
          maxLength: 500
          minLength: 0
      required:
        - tenantId
    Audit_IntegrityCheckpointResponse:
      type: object
      properties:
        checkpointId:
          type: string
          format: uuid
        sequenceNumber:
          type: integer
          format: int64
        windowStart:
          type: string
          format: date-time
        windowEnd:
          type: string
          format: date-time
        eventCount:
          type: integer
          format: int32
        chainHash:
          type: string
        timestampStatus:
          type: string
        createdAt:
          type: string
          format: date-time
        reused:
          type: boolean
  securitySchemes:
    Audit_bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token (USER, AGENT, or SERVICE auth)

````